aboutsummaryrefslogtreecommitdiffstats
path: root/net-mgmt/cricket/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'net-mgmt/cricket/pkg-install')
-rw-r--r--net-mgmt/cricket/pkg-install24
1 files changed, 24 insertions, 0 deletions
diff --git a/net-mgmt/cricket/pkg-install b/net-mgmt/cricket/pkg-install
new file mode 100644
index 00000000000..3543dceea19
--- /dev/null
+++ b/net-mgmt/cricket/pkg-install
@@ -0,0 +1,24 @@
+#!/bin/sh
+# $FreeBSD$
+#
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+USER=cricket
+#group selected to be www since the webserver has to be able to serve it
+GROUP=www
+
+if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
+ if pw useradd ${USER} -g ${GROUP} -h - \
+ -s "/sbin/nologin" -d "${PREFIX}/cricket" \
+ -c "Cricket Monitoring Owner"; \
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+fi
+exit 0